#[derive(Copy, Clone)]
pub struct Point {
  pub x: f64,
  pub y: f64,
}

#[derive(Copy, Clone)]
pub struct Circle {
  pub center: Point,
  pub radius: f64,
}

#[derive(Copy, Clone)]
pub struct Line {
  pub p1: Point,
  pub p2: Point,
}

pub enum Shape {
    Point(Point),
    Circle(Circle),
    Line(Line),
}
